<?php

declare(strict_types=1);

namespace Pinpoint\Conesso\Model\Data;

use Pinpoint\Conesso\Api\Data\ContactInterface;

class Contact extends \Magento\Framework\Model\AbstractExtensibleModel implements ContactInterface
{
    /**
     * @inheritDoc
     */
    public function getContactId()
    {
        return $this->getData(self::CONTACT_ID);
    }

    /**
     * @inheritDoc
     */
    public function setContactId($contactId)
    {
        return $this->setData(self::CONTACT_ID, $contactId);
    }

    /**
     * @inheritDoc
     */
    public function getIsGuest()
    {
        return $this->getData(self::IS_GUEST);
    }

    /**
     * @inheritDoc
     */
    public function setIsGuest($isGuest)
    {
        return $this->setData(self::IS_GUEST, $isGuest);
    }

    /**
     * @inheritDoc
     */
    public function getConessoId()
    {
        return $this->getData(self::CONESSO_ID);
    }

    /**
     * @inheritDoc
     */
    public function setConessoId($conessoId)
    {
        return $this->setData(self::CONESSO_ID, $conessoId);
    }

    /**
     * @inheritDoc
     */
    public function getCustomerId()
    {
        return $this->getData(self::CUSTOMER_ID);
    }

    /**
     * @inheritDoc
     */
    public function setCustomerId($customerId)
    {
        return $this->setData(self::CUSTOMER_ID, $customerId);
    }

    /**
     * @inheritDoc
     */
    public function getWebsiteId()
    {
        return $this->getData(self::WEBSITE_ID);
    }

    /**
     * @inheritDoc
     */
    public function setWebsiteId($websiteId)
    {
        return $this->setData(self::WEBSITE_ID, $websiteId);
    }

    /**
     * @inheritDoc
     */
    public function getStoreId()
    {
        return $this->getData(self::STORE_ID);
    }

    /**
     * @inheritDoc
     */
    public function setStoreId($storeId)
    {
        return $this->setData(self::STORE_ID, $storeId);
    }

    /**
     * @inheritDoc
     */
    public function getEmail()
    {
        return $this->getData(self::EMAIL);
    }

    /**
     * @inheritDoc
     */
    public function setEmail($email)
    {
        return $this->setData(self::EMAIL, $email);
    }

    /**
     * @inheritDoc
     */
    public function getIsSubscriber()
    {
        return $this->getData(self::IS_SUBSCRIBER);
    }

    /**
     * @inheritDoc
     */
    public function setIsSubscriber($isSubscriber)
    {
        return $this->setData(self::IS_SUBSCRIBER, $isSubscriber);
    }

    /**
     * @inheritDoc
     */
    public function getIsEmailImported()
    {
        return $this->getData(self::IS_EMAIL_IMPORTED);
    }

    /**
     * @inheritDoc
     */
    public function setIsEmailImported($isEmailImported)
    {
        return $this->setData(self::IS_EMAIL_IMPORTED, $isEmailImported);
    }

    /**
     * @inheritDoc
     */
    public function getIsSubscriberImported()
    {
        return $this->getData(self::IS_SUBSCRIBER_IMPORTED);
    }

    /**
     * @inheritDoc
     */
    public function setIsSubscriberImported($isSubscriberImported)
    {
        return $this->setData(self::IS_SUBSCRIBER_IMPORTED, $isSubscriberImported);
    }

    /**
     * @inheritDoc
     */
    public function getLastSubscribedAt()
    {
        return $this->getData(self::LAST_SUBSCRIBED_AT);
    }

    /**
     * @inheritDoc
     */
    public function setLastSubscribedAt($lastSubscribedAt)
    {
        return $this->setData(self::LAST_SUBSCRIBED_AT, $lastSubscribedAt);
    }
}

